Subject: [FreeBSD port of Pine 4.03] Decreasing binary size

From: Adrian Penisoara <[email-masked]>
Date: Tue, 15 Sep 1998 22:27:41 +0300 (EEST)

Hi,

On Tue, 15 Sep 1998 [email-masked] wrote:

> Adrian Penisoara wrote:
> >  In the mean time I will release to the public the FreeBSD port, hoping
> > we're going to get enough feedback to solve this issue. You can get the
> > lastest version of the port from:
> > 
> >    ftp://ftp.freebsd.ady.ro/ports/pine/4.03/pine4.tar.gz
> >    http://members.xoom.com/adyx/FreeBSD/ports/pine/4.03/pine4.tar.gz
> 
> The port works fine for me, but I still wanted to bring the size of the
> executable down by removing the -DDEBUG from pine/makefile.bsf. Doing this
> still results in the error I mentioned before. Pine 3.96 processes are 1

 I just tried to compile without -DDEBUG too (modified both
pico/makefile.bsf & pine/makefile.bsf) and had the same problem -- which,
I'm afraid, can be solved only by the Pine Team...
 I'll try to have a look at the sources anyway, but I don't think there is
too much I can do about it...

> MB smaller (according to 'top') than Pine 4.03 processes, so it does seem
> to be worth the effort. Please let me know if you can duplicate the

 Don't forget that 4.x has added *many* new functionalities (like the HTML
interpreter, <> keys navigation, binary-compiled help, etc.) which means
additional code which in turn means that we might not be able to shrink
the executable's size too much...

> problem or suggest a solution.

 Well, as a matter of fact, there is something: the FreeBSD port
automatically strips the executables after installing them in the final
locations:

[root@scouter 10:17pm] pine4# ls -l work/pine4.03/bin/
total 3504
-rwxr-xr-x  2 root  staff   214933 Sep 15 22:13 pico
-rwxr-xr-x  2 root  staff   214901 Sep 15 22:13 pilot
-rwxr-xr-x  2 root  staff  3116589 Sep 15 22:14 pine
[root@scouter 10:17pm] pine4# ls -l /usr/local/bin/pi*
-r-xr-xr-x  1 bin  bin   200704 Sep 15 22:24 /usr/local/bin/pico
-r-xr-xr-x  1 bin  bin   200704 Sep 15 22:24 /usr/local/bin/pilot
-r-xr-xr-x  1 bin  bin  2306048 Sep 15 22:24 /usr/local/bin/pine

  So we gain as much as 800Kb only for the pine executable ! :-)
  What do you think ?

> 
> Thanks,
> 
>    - Mike
> 
> ______________________________________________________________________
>  Mike Brown / Hyperreal   |     Director, Hyperreal Music Archive
>  PO Box 61334             |      http://www.hyperreal.org/music/
>  Denver CO 80206-8334 USA |
> 

  Thanks for your interest,
  Ady (@warpnet.ro)